Name: smem
Version: 0.9
Release: alt1

Summary: Report application memory usage in a meaningful way
License: GPLv2+
Group: Monitoring

Url: http://www.selenic.com/smem
Source0: http://www.selenic.com/smem/download/%name-%version.tar.gz
Source1: http://www.selenic.com/smem/index.html
Packager: Michael Shigorin <mike@altlinux.org>

BuildArch: noarch
Requires: kernel >= 2.6.27
Conflicts: secure_delete

%description
smem is a tool that can give numerous reports on memory usage
on Linux systems. Unlike existing tools, smem can report
proportional set size (PSS), which is a more meaningful
representation of the amount of memory used by libraries
and applications in a virtual memory system.

Since large portions of physical memory are typically shared
among multiple applications, the standard measure of memory usage
known as resident set size (RSS) will significantly overestimate
memory usage.  PSS measures each application's "fair share" of
each shared area instead to give more realistic sense of what's
happening.

%prep
%setup
cp -a %SOURCE1 smem.html
chmod -x capture	# sample script, installed as documentation

%build
%install
install -pDm755 smem %buildroot%_bindir/%name

%files
%doc smem.html capture COPYING
%_bindir/%name

%changelog
* Sun Dec 13 2009 Michael Shigorin <mike@altlinux.org> 0.9-alt1
- 0.9
  + dropped upstream hg patches
- added conflict with secure_delete (repocop)
- minor spec cleanup

* Thu Dec 03 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.1-alt1.1
- Rebuilt with python 2.6

* Thu May 07 2009 Michael Shigorin <mike@altlinux.org> 0.1-alt1
- built for ALT Linux (based on spec for Fedora)
- spec/description cleanup

* Wed May  7 2009 Matthew Miller <mattdm@mattdm.org> - 0.1-4
- remove smem.pdf at request of upstream
- patch0: 741bd2646ebf -- add GPLv2+ and copyright notice
- patch1: 4320ad746bcc -- check that kernel release >= 2.6.27

* Thu Apr 30 2009 Matthew Miller <mattdm@mattdm.org> - 0.1-3
- fix minor rpmlint concerns raised in review (bz #498490)

* Thu Apr 30 2009 Matthew Miller <mattdm@mattdm.org> - 0.1-2
- whoops -- fixed group

* Thu Apr 30 2009 Matthew Miller <mattdm@mattdm.org> - 0.1-1
- initial specfile
- note gplv2+ license -- added in svn and will be in next code release
